<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-content">
    <div
      v-if="isLoader"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>

    <div style="display: inline-block;width: 100%;" v-else>
      <div
        class="m-portlet m-portlet--mobile mb-0 position-relative"
        style="float:left;"
        :style="{  width:  '100%' }"
      >
        <div class="m-portlet__body">
          <div class="dataTables_wrapper">
            <div
              class="table-responsive nt-scroll-primary"
              id="table-responsive-data"
              v-if="emailTemplateList.length > 0"
            >
              <table
                class="table table-bordered table-hover s--table s--table-customer-list nt-table-list nt-table-list-all"
              >
                <thead>
                  <tr>
                    <!-- <th class="action">Tác vụ</th> -->
                    <th class="email-template-code">Mã mẫu email</th>
                    <th class="email-template-name">Tên mẫu</th>
                    <th class="email-template-title">Tiêu đề</th>
                    <th class="email-template-created-by">Tạo bởi</th>
                    <th class="email-template-created-at">Tạo lúc</th>
                    <th class="email-template-created-by">Người chỉnh sửa cuối</th>
                    <th class="email-template-updated-at">Lần chỉnh sửa cuối</th>
                  </tr>
                </thead>

                <tbody>
                  <tr v-for="(emailTemplate, index) in emailTemplateList" :key="index">
                    <!-- <td class="text-center action">
                      <button
                        aria-expanded="true"
                        aria-haspopup="true"
                        data-toggle="dropdown"
                        class="btn m-btn m-btn--icon m-btn--icon-only m-btn--pill nt-button-hover-primary"
                      >
                        <i class="la la-ellipsis-h"></i>
                      </button>
                      <div class="dropdown-menu nt-dropdown-menu">
                        <router-link
                          class="dropdown-item"
                          :to="{name : 'emailTemplateDetails', params : {team_id : currentTeam.team_id, email_template_id: emailTemplate.id} }"
                        >
                          <i class="la la-edit"></i>
                          Xem và Chỉnh sửa
                        </router-link>
                      </div>
                    </td>-->
                    <td class="email-template-code">{{ emailTemplate.code }}</td>
                    <td class="email-template-name">
                      <router-link
                        data-toggle="m-tooltip"
                        data-placement="bottom"
                        :data-original-title="emailTemplate.name"
                        class="m-link m-link--primary nt-link"
                        :to="{name : 'emailTemplateDetails' , params : {team_id : currentTeam.team_id, email_template_id : emailTemplate.id} }"
                      >{{ emailTemplate.name  }}</router-link>
                    </td>
                    <td class="email-template-title">
                      <span
                        data-toggle="m-tooltip"
                        data-placement="bottom"
                        :data-original-title="emailTemplate.title"
                      >{{ emailTemplate.title }}</span>
                    </td>
                    <td class="email-template-created-by" v-if="emailTemplate.created_by">
                      <user-object-loading :user_id="emailTemplate.created_by" :is_dropdown="false"></user-object-loading>
                    </td>
                    <td
                      class="email-template-created-at"
                    >{{ emailTemplate.created_at | formatDateTime(false) }}</td>
                    <td class="email-template-updated-by" v-if="emailTemplate.updated_by">
                      <user-object-loading :user_id="emailTemplate.updated_by" :is_dropdown="false"></user-object-loading>
                    </td>
                    <td
                      class="email-template-updated-at"
                    >{{ emailTemplate.updated_at | formatDateTime(false) }}</td>
                  </tr>
                </tbody>
              </table>
            </div>
            <div v-if="!isLoaderList && emailTemplateList.length <= 0" class="s--not-found">
              <span>Chưa có mẫu email nào.</span>
            </div>
            <div
              v-else
              class="dataTables_paginate paging_simple_numbers m--margin-top-20 d-flex justify-content-end"
            >
              <pagination :loader="isLoaderList" :pagination="pagination" @paginate="getPagination"></pagination>
            </div>
          </div>
          <div
            v-if="isLoaderList"
            style="position: absolute;left: 0px;top: 0px;width: 100%;height: 100%;background: #ffffff8a;z-index: 12;"
          >
            <div
              class="m-loader m-loader--brand m-loader--lg"
              style="width: 30px; height: 30px; display: inline-block; position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);"
            ></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
